Package org.springframework.security.acls.domain

# Class CumulativePermission

java.lang.Object
org.springframework.security.acls.domain.AbstractPermission
org.springframework.security.acls.domain.CumulativePermission

All Implemented Interfaces:
  `Serializable`, `Permission`

public class CumulativePermission extends AbstractPermission
Represents a `Permission` that is constructed at runtime from other permissions.

Methods return `this`, in order to facilitate method chaining.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.security.acls.domain.AbstractPermission

`code, mask`

### Fields inherited from interface org.springframework.security.acls.model.Permission

`RESERVED_OFF, RESERVED_ON, THIRTY_TWO_RESERVED_OFF`

## Constructor Summary

Constructors
Constructor
Description
`CumulativePermission()`

## Method Summary

Modifier and Type
Method
Description
`CumulativePermission`
`clear()`
`CumulativePermission`
`clear(Permission permission)`
`String`
`getPattern()`
Returns a 32-character long bit pattern `String` representing this permission.
`CumulativePermission`
`set(Permission permission)`

### Methods inherited from class org.springframework.security.acls.domain.AbstractPermission

`equals, getMask, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CumulativePermission

public CumulativePermission()

## Method Details

### clear

public CumulativePermission clear(Permission permission)

### clear

public CumulativePermission clear()

### set

public CumulativePermission set(Permission permission)

### getPattern

public String getPattern()
Description copied from interface: `Permission`
Returns a 32-character long bit pattern `String` representing this permission.

Implementations are free to format the pattern as they see fit, although under no circumstances may `Permission.RESERVED_OFF` or `Permission.RESERVED_ON` be used within the pattern. An exemption is in the case of `Permission.RESERVED_OFF` which is used to denote a bit that is off (clear). Implementations may also elect to use `Permission.RESERVED_ON` internally for computation purposes, although this method may not return any `String` containing `Permission.RESERVED_ON`.

The returned String must be 32 characters in length.

This method is only used for user interface and logging purposes. It is not used in any permission calculations. Therefore, duplication of characters within the output is permitted.

Specified by:
  `getPattern` in interface `Permission`
Overrides:
  `getPattern` in class `AbstractPermission`
Returns:
  a 32-character bit pattern